CMSIS-DSP: arm_atan2_q15.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_atan2_q15.c File Reference

## Macros

#define | ATANHALFQ13
#define | PIHALFQ13
#define | PIQ13
#define | ATAN2_NB_COEFS_Q15

## Functions

__STATIC_FORCEINLINE q15_t | arm_atan_limited_q15 (q15_t x)
__STATIC_FORCEINLINE q15_t | arm_atan_q15 (q15_t y, q15_t x)
arm_status | arm_atan2_q15 (q15_t y, q15_t x, q15_t *result)
| Arc Tangent of y/x using sign of y and x to get right quadrant. More...

## Macro Definition Documentation

#define ATAN2_NB_COEFS_Q15

#define ATANHALFQ13

#define PIHALFQ13

#define PIQ13

## Function Documentation

__STATIC_FORCEINLINE q15_t arm_atan_limited_q15 | ( | q15_t | x | ) |

__STATIC_FORCEINLINE q15_t arm_atan_q15 | ( | q15_t | y,
|  | q15_t | x
| ) |  |